Subject: RE: [Sipping] Internet Draft on ETSI TISPAN requirements for simu lation service s defined within EITSI TISPAN

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Wed, 25 May 2005 18:43:27 +0100

I think it is fair to say that this document is the starting point of some more work that needs to be submitted.

We have been very much trying to isolate requirements at this point in time and get those to IETF, rather than say these are the solutions we are working on. I would suggest that most (if not all) of the work is sufficiently open at the moment that if a more appropriate solution comes along to one that has already been discussed, then it will be adopted.

It has also been pushed into IETF with some despatch so that IETF do get a chance to comment on the requirements and make proposals for solutions before these things do get set in concrete. This allows us an excuse for some of the drafting not being 100 per cent, and everything not being fully spelled out. So if you think things need more background or if things are not clear then ask for it to be clarified.

As regards your final point, it is a requirement that these simulation services operate between PSTN/ISDN terminals and SIP terminals reasonably seamlessly, as well as directly between SIP terminals. NGN is going to be very much a mixture of existing terminals and networks elements interoperating with new terminals and network elements from day 1, and granny (with a PSTN or ISDN phone) is not going to be happy if something works when she calls her neighbour on an existing PSTN phone, and does not work when she calls her son with one of the new SIP terminals. 

It is assumed that all these services can use some intermediate server to support the service if appropriate. If you have a solution that works better (and is more SIP-oriented) than the suggestions proposed, and yet still enables reasonable interoperability, then we would like to hear it.

regards

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Paul Kyzivat
> Sent: 25 May 2005 14:17
> To: Jesske, R
> Cc: [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [Sipping] Internet Draft on ETSI TISPAN requirements for
> simulation service s defined within EITSI TISPAN
> 
> 
> Jesske,
> 
> Is there a larger body of work supporting this that you 
> intend to bring 
> forward? I ask because that is suggested by the content of this 
> document. It appears that you have more in mind for addressing the 
> requirements than is spelled out in detail in the doc.
> 
> I especially noted this in regard to CCBS and CCNR. The document 
> sketches out a new event package. But the details of this 
> package, and 
> the reasoning for why it is needed to satisfy the requirement are not 
> given. Before jumping to this solution, it would seem necessary to 
> further elaborate the requirements, such as the specific requirements 
> for queuing.
> 
> I would like to understand whether this is the best approach 
> for native 
> sip calling, or whether it has been compromised for the benefit of 
> compatibility with ISDN/PSTN supplementary services.
> 
> 	Paul
> 
> Jesske, R wrote:
> > Dear all,
> > I would like to draw you attention to the following draft 
> that is now 
> > available.
> > 
> > 
> _http://www.ietf.org/internet-drafts/draft-jesske-sipping-tisp
> an-requirements-00.txt_ 
> > 
> > 
> > This draft describes requirements on SIP for supporting several 
> > Simulation Services defined within ETSI TISPAN.
> > ETSI TISPAN is specifying the NGN Release 1 based on the 
> 3GPP IMS. The 
> > time scale, September 2005, is very ambitious for 
> finalising the Release 1.
> > 
> > For the protocol used within the TISPAN NGN is SIP based on 
> the 3GPP 
> > specifications for IMS. For supporting services as 
> described within the 
> > above mentioned draft are several extensions of SIP needed.
> > 
> > The Working Group 3 within TISPAN is defining protocols. 
> Within this WG 
> > are work items existing to describe so called simulation 
> services. This 
> > simulation services are ISDN/PSTN like services that 
> provides the user 
> > with an experience that may or may not differ to an 
> existing PSTN/ISDN 
> > experience.
> > 
> > The simulation services are services that shall be provided 
> by the network.
> > The following PSTN/ISDN Simulation Service shall be 
> supported in TISPAN 
> > NGN R1:
> > *       Originating Identification Presentation (OIP)
> > *       Originating Identification Restriction (OIR)
> > *       Terminating Identification Presentation (TIP)
> > *       Terminating Identification Presentation Restriction (TIR)
> > *       Malicious Communication Identification (MCID)
> > *       Anonymous Communication Rejection (ACR)
> > *       Communication Diversion (CDIV)
> > *       Communication Waiting (CW)
> > *       Communication Hold (HOLD)
> > *       Communication Completion Services (Completion of 
> Communications 
> > to Busy Subscriber (CCBS)
> > *       Message Waiting Indication (MWI)
> > *       Conference (CONF)
> > *       Advice of Charge (AOC)
> > 
> > During the specification of this services it was identified 
> that SIP is 
> > not sufficient enough to fulfil the service capabilities needed. 
> > Therefore this draft was written to bring up the 
> requirements on SIP for 
> > this services.
> > 
> > The section 3. reflects thoughts and ideas of people what 
> extensions 
> > could be fulfil the requirements described in section 2.
> > 
> > TISPAN coordinates their work with 3GPP so that there is no 
> mismatch 
> > between the requirements coming from 3GPP and ITEF.
> > 
> > Now I would be happy about comments, ideas and possible 
> solutions to 
> > improve this work.
> > 
> > Best Regards
> > 
> > Roland
> > 
> > 
> > 
> > Deutsche Telekom AG
> > T-Com Zentrale
> > Roland Jesske, TE332-2
> > Section TE33; Signalling, Gateways and Switching Systems
> > Am Kavalleriesand 3, 64295 Darmstadt, Germany
> > Phone:  +49 6151 83-5940
> > Fax:      +49 6151 83-4577
> > email:  _____ [email-masked]
> > 
> > 
> > 
> --------------------------------------------------------------
> ----------
> > 
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP
> > Use [email-masked] for questions on current sip
> > Use [email-masked] for new developments of core SIP
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP